Bug 125954 - Bug in ifup script brings down bonding slaves
Bug in ifup script brings down bonding slaves
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-06-14 10:45 EDT by Michael Brown
Modified: 2014-03-16 22:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: 7.58-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-29 00:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ifcfg for bond0 (161 bytes, text/plain)
2004-06-14 10:46 EDT, Michael Brown
no flags Details
ifcfg for eth0 bonding slave. eth1 is analogous (86 bytes, text/plain)
2004-06-14 10:47 EDT, Michael Brown
no flags Details

  None (edit)
Description Michael Brown 2004-06-14 10:45:07 EDT
From Bugzilla Helper:
User-Agent: Opera/7.50 (X11; Linux i686; U)  [en]

Description of problem:
This bug is present in RHEL 2.1 and 3.0, RH9, FC1 and FC2.

When using network device bonding, the ifup script sets the link status of the slave 
interfaces to be down. Line 200:
if [ "${SLAVE}" = yes -a "${ISALIAS}" = no -a "${MASTER}" != "" -a \
     -x /sbin/ifenslave ]; then
    RFLAG="" ; [ "${RECEIVEONLY}" = yes ] && RFLAG="-r"

    /sbin/ip link set dev ${DEVICE} down
    echo $"Enslaving ${DEVICE} to ${MASTER}"
    ifenslave ${RFLAG} "${MASTER}" "${DEVICE}"

Changing to:
    /sbin/ip link set dev ${DEVICE} up
makes everything work.

I'm attaching my configs for bond0 and a slave.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. 'ifup bond0' 

Actual Results:  slave interfaces are brought down

Expected Results:  slave interfaces brought up. :)

Additional info:
Comment 1 Michael Brown 2004-06-14 10:46:43 EDT
Created attachment 101108 [details]
ifcfg for bond0
Comment 2 Michael Brown 2004-06-14 10:47:18 EDT
Created attachment 101109 [details]
ifcfg for eth0 bonding slave. eth1 is analogous
Comment 3 Bill Nottingham 2004-06-29 00:16:45 EDT
This is fixed in CVS post-FC2; should be in 7.58-1.
Comment 4 Michael Brown 2004-06-29 10:28:20 EDT
This bug was also present in RHEL 2.1 - can somebody confirm if it's fixed in 3.0?
Comment 5 Bill Nottingham 2004-06-29 14:26:22 EDT
A fix for this should be in update 3 of RHEL 3.

Note You need to log in before you can comment on or make changes to this bug.